package repository

import (
	"nms_nbi/src/modules/network_element/model"
)

// UDM鉴权信息 数据层接口
type IUDMAuth interface {
	// ClearAndInsert 清空ne_id后新增实体
	ClearAndInsert(neID string, authArr []model.UDMAuth) int64

	// SelectPage 根据条件分页查询
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(auth model.UDMAuth) []model.UDMAuth

	// Insert 批量添加
	Inserts(authUsers []model.UDMAuth) int64

	// Delete 删除实体
	Delete(neID, imsi string) int64

	// DeletePrefixImsi 删除前缀匹配的实体
	DeletePrefixImsi(neID, imsi string) int64
}
